Kerbal Space Program - Bug #13101

Flickering Orbit Lines in Tracking Station
10/24/2016 10:54 AM - Sigma88

Status: Not Fixed Start date: 10/24/2016
Severity: Normal % Done: 50%
Assignee:

Category: Camera

Target version: 1.7.0

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

I've got this weird bug in stock KSP.
Just to make sure | deleted the game and re-downloaded a new version from steam.

Steps to Reproduce:

1- load KSP (no mods)

2- go to tracking station

3- focus on duna

4- tilt the camera ~45A° under the ecliptic plane

5- zoom out untill you can see jool's orbit line

6- fiddle around with the camera position and zoom untill you see the issue (should be pretty easy to spot)

Description of the issue:

Random lines flicker on the screen, they look like copies of Jool's and Eeloo's orbit lines (judging from the color)

they flicker very fast, | had to take tens of screenshots before capturing one (see attached file)

My opinion:

This issue seems to get worse on smaller bodies. In one of my mods | create very small planets (60 meter radius) and the sky is full
of these flickering lines when | use the mod.

It also seems to get triggered by moving the camera, even though the lines keep flickering also when the camera is still.

If you need any more info let me know. | could provide logs, but they don't show anything weird.

History

#1 - 11/21/2016 05:23 PM - Lucinotion

| can confirm this still happens in 1.2.1

#2 - 12/23/2016 08:21 AM - Sigma88
This still happens in 1.2.2

Actually | think this bug was there even before 1.2.0 but only with 1.2.0 it started to freak out when adding new planets. That's how | noticed.

#4 - 01/16/2017 11:06 AM - Technicalfool
- File 2017-01-16-1057-19.flv added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 03/21/2017 04:00 PM - Jebs_SY

Yeah, when using the kopernicus mod to add the outer planets mod or play with the galileo planet pack , this problem is very annoying.
The orbit lines of the outer planets flicker constantly. See this video: https://youtu.be/JZi-gteRn4l
This is a highly modded install, tho.

Any chance to get this fixed for 1.3?
https://youtu.be/JZi-gteRn4I

#6 - 05/26/2017 09:37 AM - Sigma88

bug is still present on 1.3

#7 - 08/26/2017 01:11 PM - Sigma88

| tried the pre-release (1.3.1) and the bug is still showing (if you need any help troubleshooting it feel free to contact me)

#8 - 09/03/2017 06:33 PM - Sigma88

| tested this again on the new pre-release (1.3.1.1847) and the bug is still present

#9 - 09/04/2017 12:13 PM - Sigma88
- Version changed from 1.2.0 to 1.3.0

#10 - 09/04/2017 01:06 PM - Bornholio

Testing new version of RSS. Adding more minor planets and moons is getting this issue pretty often.
Was able to duplicate in clean stock 1.3.0 also.

Is it possible to apply a 0-255 transparency mask instead of just hard dropping or applying them?

#11 - 09/10/2017 09:59 PM - Sigma88

| tested this again on the new pre-release (1.3.1.1855) and the bug is still present

#12 - 09/10/2017 10:29 PM - Bornholio
Sigma88 wrote:
| tested this again on the new pre-release (1.3.1.1855) and the bug is still present

Agree, just loaded 1.3.1.1855 no mods. Flickering orbit lines as duplication steps listed.
https://imgur.com/a/qG2A8 album with screen shot and edit showing orbit line and its flicker position.

#13 - 09/21/2017 04:49 PM - Sigma88

- File output_log.txt added

| tested this again on the new pre-release (1.3.1.1863) and the bug is still present
I'll include the output log just in case

#14 - 10/06/2017 08:34 PM - Sigma88

- Version changed from 1.3.0 to 1.3.1

| tested this again on the 1.3.1 release and the bug is still present

| am not sure these reports are being useful at all, so I'm going to stop repeating the same message over and over
if there are any files you would like me to share ask and you shall receive

#15 - 04/11/2019 06:52 PM - chris.fulton

- Status changed from Confirmed to Ready to Test

- Target version set to 1.7.0

- % Done changed from 10 to 80

Changes have been made in 1.7 and this bug appears fixed. Moving to RTT please check.

#16 - 04/12/2019 05:48 AM - Anth12
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Video shows that this is not fixed

https://youtu.be/a82jm14PaQ0
https://imgur.com/a/qG2A8
https://youtu.be/a82jm14PaQ0

#17 - 10/24/2019 11:35 PM - KenSharp

Still not fixed in 1.8.0.
https://youtu.be/MggSLkJT4SQ

#18 - 01/23/2021 11:11 PM - kamine

Still Presentin 1.11.0 !
FIX THIS!

MY MAP VIEW IS FILLED WITH FLICKERING TRASH ORBITS AND COMMUNICATION LINES, IT'S EXTREAMLY ANNOYING!

#19 - 01/30/2021 11:54 PM - ElectroLlama
- File Screenshot from 2021-01-30 15-52-38.png added

I've attached a screenshot of this happening in 1.11.1; here focused on Jool, zoomed out, looking upwards ~60 degrees, fresh game file with no crafts

launched.

#20 - 06/25/2021 10:22 AM - Wuzetek

Seems to be fixed in 1.12!
Screenshot 2016-10-24 02.01.12(2).png
